> For the complete documentation index, see [llms.txt](https://docs.mithril.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mithril.ai/compute-api/compute-api-reference/profile.md).

# Profile

## Get Me

> Get the current user's profile

```json
{"openapi":"3.1.0","info":{"title":"Mithril","version":"1.0.0"},"servers":[{"url":"https://api.mithril.ai"}],"security":[{"MithrilAPIKey":[]}],"components":{"securitySchemes":{"MithrilAPIKey":{"type":"http","scheme":"bearer","bearerFormat":"fkey_<key>"}},"schemas":{"MeResponse":{"properties":{"id":{"type":"string","title":"Id"},"fid":{"type":"string","title":"Fid"},"email":{"type":"string","format":"email","title":"Email"},"user_name":{"type":"string","nullable":true},"organization_id":{"type":"string","title":"Organization Id"},"organization_role":{"type":"string","nullable":true}},"type":"object","required":["id","fid","email","organization_id"],"title":"MeResponse"}}},"paths":{"/v2/me":{"get":{"tags":["profile"],"summary":"Get Me","description":"Get the current user's profile","operationId":"get_me_v2_me_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MeResponse"}}}}}}}}}
```

## Get My Teammates

> Get teammates visible to the current user.\
> \
> Returns teammates from the user's organization, filtered by shared project\
> membership (unless the user is an org admin, in which case all org members\
> are visible). Can be used by a client to map user FIDs to user profiles.

```json
{"openapi":"3.1.0","info":{"title":"Mithril","version":"1.0.0"},"servers":[{"url":"https://api.mithril.ai"}],"security":[{"MithrilAPIKey":[]}],"components":{"securitySchemes":{"MithrilAPIKey":{"type":"http","scheme":"bearer","bearerFormat":"fkey_<key>"}},"schemas":{"TeammateResponse":{"properties":{"id":{"type":"string","title":"Id"},"fid":{"type":"string","title":"Fid"},"user_name":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"organization_role":{"type":"string","nullable":true},"project_ids":{"items":{"type":"string"},"type":"array","title":"Project Ids"},"deactivated_at":{"type":"string","format":"datetime","nullable":true}},"type":"object","required":["id","fid","project_ids"],"title":"TeammateResponse"}}},"paths":{"/v2/me/teammates":{"get":{"tags":["profile"],"summary":"Get My Teammates","description":"Get teammates visible to the current user.\n\nReturns teammates from the user's organization, filtered by shared project\nmembership (unless the user is an org admin, in which case all org members\nare visible). Can be used by a client to map user FIDs to user profiles.","operationId":"get_my_teammates_v2_me_teammates_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/TeammateResponse"},"type":"array","title":"Response Get My Teammates V2 Me Teammates Get"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mithril.ai/compute-api/compute-api-reference/profile.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
